Bug 981883 - [abrt] xine-ui-0.99.7-7.fc18: build_frame_table: Process /usr/bin/xine was killed by signal 8 (SIGFPE)
[abrt] xine-ui-0.99.7-7.fc18: build_frame_table: Process /usr/bin/xine was ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xine-ui (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael J Gruber
Fedora Extras Quality Assurance
abrt_hash:b231d2266a7710cc0bf2f2ebcc9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 12:43 EDT by Shuresh Williams
Modified: 2014-02-05 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:04:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (216.55 KB, text/plain)
2013-07-06 12:43 EDT, Shuresh Williams
no flags Details
File: cgroup (129 bytes, text/plain)
2013-07-06 12:43 EDT, Shuresh Williams
no flags Details
File: core_backtrace (1.29 KB, text/plain)
2013-07-06 12:43 EDT, Shuresh Williams
no flags Details
File: dso_list (20.91 KB, text/plain)
2013-07-06 12:43 EDT, Shuresh Williams
no flags Details
File: environ (3.26 KB, text/plain)
2013-07-06 12:43 EDT, Shuresh Williams
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-06 12:43 EDT, Shuresh Williams
no flags Details
File: maps (105.33 KB, text/plain)
2013-07-06 12:43 EDT, Shuresh Williams
no flags Details
File: open_fds (495 bytes, text/plain)
2013-07-06 12:43 EDT, Shuresh Williams
no flags Details
File: proc_pid_status (966 bytes, text/plain)
2013-07-06 12:43 EDT, Shuresh Williams
no flags Details
File: var_log_messages (1.95 KB, text/plain)
2013-07-06 12:43 EDT, Shuresh Williams
no flags Details
File: xsession_errors (6.57 KB, text/plain)
2013-07-06 12:43 EDT, Shuresh Williams
no flags Details

  None (edit)
Description Shuresh Williams 2013-07-06 12:43:03 EDT
Description of problem:
Any movie I play it generates this error, but it does not crash I see error after movie completes.

Version-Release number of selected component:
xine-ui-0.99.7-7.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /bin/xine '/mnt/New Volume_/Items downloade/Mirc/Beast-EU-073/White House Down 2013 TS x264-THC/White House Down 2013 TS x264-THC.mp4'
crash_function: build_frame_table
executable:     /usr/bin/xine
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 3
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 build_frame_table at demux_qt.c:2155
 #1 parse_moov_atom at demux_qt.c:2282
 #2 open_qt_file at demux_qt.c:2476
 #3 open_plugin at demux_qt.c:3282
 #4 probe_demux at load_plugins.c:1329
 #5 _x_find_demux_plugin at load_plugins.c:1359
 #6 open_internal at xine.c:1229
 #7 xine_open at xine.c:1304
 #8 gui_xine_open_and_play at actions.c:588
 #9 gui_play at actions.c:799
Comment 1 Shuresh Williams 2013-07-06 12:43:07 EDT
Created attachment 769663 [details]
File: backtrace
Comment 2 Shuresh Williams 2013-07-06 12:43:09 EDT
Created attachment 769664 [details]
File: cgroup
Comment 3 Shuresh Williams 2013-07-06 12:43:12 EDT
Created attachment 769665 [details]
File: core_backtrace
Comment 4 Shuresh Williams 2013-07-06 12:43:16 EDT
Created attachment 769666 [details]
File: dso_list
Comment 5 Shuresh Williams 2013-07-06 12:43:18 EDT
Created attachment 769667 [details]
File: environ
Comment 6 Shuresh Williams 2013-07-06 12:43:21 EDT
Created attachment 769668 [details]
File: limits
Comment 7 Shuresh Williams 2013-07-06 12:43:23 EDT
Created attachment 769669 [details]
File: maps
Comment 8 Shuresh Williams 2013-07-06 12:43:26 EDT
Created attachment 769670 [details]
File: open_fds
Comment 9 Shuresh Williams 2013-07-06 12:43:28 EDT
Created attachment 769671 [details]
File: proc_pid_status
Comment 10 Shuresh Williams 2013-07-06 12:43:31 EDT
Created attachment 769672 [details]
File: var_log_messages
Comment 11 Shuresh Williams 2013-07-06 12:43:33 EDT
Created attachment 769673 [details]
File: xsession_errors
Comment 12 Brad Hubbard 2013-10-07 16:36:13 EDT
This is happening on F19 as well and affecting Kaffeine as well as Xine.

(gdb) l
2150              audio_frame_counter += trak->frames[j].size;
2151
2152              /* compute the actual chunk size */
2153              trak->frames[j].size =
2154                (trak->frames[j].size *
2155                 trak->properties->audio.channels) /
2156                 trak->properties->audio.samples_per_frame *
2157                 trak->properties->audio.bytes_per_frame;
2158            }
2159          }

(gdb) p trak->properties->audio.samples_per_frame
$4 = 0
Comment 13 Brad Hubbard 2013-10-15 01:39:54 EDT
Here's where that gets set.

(gdb) b demux_qt.c:1083
No source file named demux_qt.c.
Make breakpoint pending on future shared library load? (y or [n]) y
Breakpoint 1 (demux_qt.c:1083) pending.
(gdb) set follow-fork-mode child
(gdb) r --nofork --nocrashhandler my-dodgy.mp4

Breakpoint 1, parse_trak_atom (trak_atom=0x7fffd975a360 "", trak=0xea2e58) at demux_qt.c:1083
1083          trak->stsd_atoms_count = _X_BE_32(&trak_atom[i + 8]);
(gdb) n
--- repeat ad-infinitum ---

(gdb) l 1361
1356                    _X_BE_32(&trak_atom[atom_pos + 0x28]);
1357                if (_X_BE_32(&trak_atom[atom_pos + 0x2C]))
1358                  trak->stsd_atoms[k].audio.bytes_per_sample =
1359                    _X_BE_32(&trak_atom[atom_pos + 0x2C]);
1360                if (trak->stsd_atoms[k].audio.bytes_per_packet)
1361                  trak->stsd_atoms[k].audio.samples_per_frame =
1362                    (trak->stsd_atoms[k].audio.bytes_per_frame /
1363                     trak->stsd_atoms[k].audio.bytes_per_packet) *
1364                     trak->stsd_atoms[k].audio.samples_per_packet;
1365              }

(gdb) p (trak->stsd_atoms[k].audio.bytes_per_frame / trak->stsd_atoms[k].audio.bytes_per_packet) * trak->stsd_atoms[k].audio.samples_per_packet
$7 = 0
(gdb) p trak->stsd_atoms[k].audio.bytes_per_frame
$8 = 272474112
(gdb) p trak->stsd_atoms[k].audio.bytes_per_packet
$9 = 1684103987
(gdb) p trak->stsd_atoms[k].audio.samples_per_packet
$10 = 11
(gdb) p (trak->stsd_atoms[k].audio.bytes_per_frame / trak->stsd_atoms[k].audio.bytes_per_packet)
$11 = 0

So that's how we get zero, now what to do about it?
Comment 14 Brad Hubbard 2013-10-15 01:42:45 EDT
Matching properties to cross-check.

(gdb) p *this->qt->traks[1]->properties
$10 = {
  video = {
    media_id = 1, 
    properties_offset = 12, 
    codec_fourcc = 858612577, 
    codec_buftype = 0, 
    width = 48000, 
    height = 2, 
    palette_count = 16, 
    palette = {{
        r = 0 '\000', 
        g = 0 '\000', 
        b = 0 '\000'
      }, {
        r = 0 '\000', 
        g = 0 '\000', 
        b = 0 '\000'
      }, {
        r = 0 '\000', 
        g = 0 '\000', 
        b = 0 '\000'
      }, {
        r = 0 '\000', 
        g = 0 '\000', 
        b = 0 '\000'
      }, {
        r = 0 '\000', 
        g = 0 '\000', 
        b = 0 '\000'
      }, {
        r = 0 '\000', 
        g = 0 '\000', 
        b = 0 '\000'
      }, {
        r = 0 '\000', 
        g = 0 '\000', 
        b = 11 '\v'
      }, {
        r = 0 '\000', 
        g = 0 '\000', 
        b = 0 '\000'
      }, {
        r = 51 '3', 
        g = 99 'c', 
        b = 97 'a'
      }, {
        r = 100 'd', 
        g = 0 '\000', 
        b = 160 '\240'
      }, {
        r = 61 '=', 
        g = 16 '\020', 
        b = 115 's'
      }, {
        r = 24 '\030', 
        g = 0 '\000', 
        b = 0 '\000'
      }, {
        r = 0 '\000', 
        g = 0 '\000', 
        b = 0 '\000'
      }, {
        r = 0 '\000', 
        g = 0 '\000', 
        b = 0 '\000'
      }, {
        r = 0 '\000', 
        g = 0 '\000', 
        b = 64 '@'
      }, {
        r = 4 '\004', 
        g = 234 '\352', 
        b = 0 '\000'
      }, {
        r = 0 '\000', 
        g = 0 '\000', 
        b = 0 '\000'
      }, {
        r = 0 '\000', 
        g = 43 '+', 
        b = 0 '\000'
      }, {
        r = 0 '\000', 
        g = 0 '\000', 
        b = 0 '\000'
      } <repeats 238 times>}, 
    depth = 0, 
    edit_list_compensation = 0, 
    properties_atom = 0x0, 
    properties_atom_size = 0
  }, 
  audio = {
    media_id = 1, 
    properties_offset = 12, 
    codec_fourcc = 858612577, 
    codec_buftype = 0, 
    sample_rate = 48000, 
    channels = 2, 
    bits = 16, 
    vbr = 0, 
    wave_size = 0, 
    wave = 0x0, 
    samples_per_packet = 11, 
    bytes_per_packet = 1684103987, 
    bytes_per_frame = 272474112, 
    bytes_per_sample = 6259, 
    samples_per_frame = 0, 
    properties_atom = 0xea0440 "ac-3", 
    properties_atom_size = 43
  }
}
Comment 15 Fedora End Of Life 2013-12-21 09:15:49 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2014-02-05 17:04:35 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.